Глюк установки ionCube

Thursday, 03 Oct 2019

В процессе подготовки сервера к установке TDS Keitaro, столкнулся с совершенно лютым багом совокупления ionCube с php.

(more…)

VN:F [1.9.21_1169]
Rating: 2.7/10 (61 votes cast)
VN:F [1.9.21_1169]
Rating: +3 (from 11 votes)
newtvnews.ru

Подключение разных версий php в панели Vesta CP

Thursday, 26 Sep 2019

В процессе установки одного скрипта на сервер, обнаружил, что Vesta по дефолту ставит php7.3.10, тогда как скрипт требовал php5, т.ч пришлось озадачиться созданием кастомного профиля для сайта.

(more…)

VN:F [1.9.21_1169]
Rating: 4.2/10 (71 votes cast)
VN:F [1.9.21_1169]
Rating: -6 (from 12 votes)

Добавляем поддержку SQLite3 в PHP

Friday, 03 Nov 2017

Играюсь с неделю с дорами, ну и выкатил дорген на один хостинг. У доргена в требованиях заявлено наличие SQLite который по умолчанию в CentOS уже имеется.

(more…)

VN:F [1.9.21_1169]
Rating: 3.8/10 (22 votes cast)
VN:F [1.9.21_1169]
Rating: +1 (from 3 votes)

Проблемы при установке биллинга RootPanel

Tuesday, 08 Aug 2017

В процессе выбора биллинга для одного из своих сервисов, решил тестануть довольно известный в узких кругах RootPanel. Основная особенность данного биллинга, помимо слегка кривой панели администратора, заключается в том, что сам украинский разраб периодически выпадает в астрал, т.ч люди с истекающими лицухами ищут его с факелами по всем форумам.

Но поскольку я сервис пилил под слив с доров, то мне это было не особо критично, а за 3 бакса, против $15 за whmcs – вообще ничего.

(more…)

VN:F [1.9.21_1169]
Rating: 3.0/10 (37 votes cast)
VN:F [1.9.21_1169]
Rating: -4 (from 6 votes)

Вызов PHP кода в HTML документах на веб-севере NGINX

Tuesday, 28 Feb 2017

Иногда бывает необходимо запустить PHP код в HTML файлах. Особенно это актуально если торгуешь ссылочками в сапе или её ином аналоге.

(more…)

VN:F [1.9.21_1169]
Rating: 3.3/10 (20 votes cast)
VN:F [1.9.21_1169]
Rating: +5 (from 5 votes)

Отключение ограничний функций PHP

Thursday, 26 Mar 2015

В процессе ковыряния с программным комплексом для тестирования Linux хостов – Phoronix Test Suite, при запросе всех возможных вариантов тестов, вывалилась такая следующая ошибка:
# phoronix-test-suite list-tests
PHP Warning:  shell_exec() has been disabled for security reasons in /usr/share/phoronix-test-suite/pts-core/pts-core.php on line 201

(more…)

VN:F [1.9.21_1169]
Rating: 3.2/10 (12 votes cast)
VN:F [1.9.21_1169]
Rating: +2 (from 2 votes)

Обновление php с 5.1 на 5.3

Monday, 01 Jul 2013

Приобрел с оказией дешманский VPS куда стал не спеша заливать пачку новых дропов, и тут на установке WordPress мне инсталлятор сообщает что установке требуется php как минимум 5.2.4, тогда как у меня стоит 5.1.6.

(more…)

VN:F [1.9.21_1169]
Rating: 5.0/10 (8 votes cast)
VN:F [1.9.21_1169]
Rating: 0 (from 2 votes)